%define anolis_release 1
%bcond_with perl_Sub_Install_enables_optional_test

Name:           perl-Sub-Install
Epoch:		1
Version:        0.929
Release:       	%{anolis_release}%{?dist}
Summary:        Install subroutines into packages easily
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/Sub-Install
Source0:        https://cpan.metacpan.org/authors/id/R/RJ/RJBS/Sub-Install-%{version}.tar.gz
BuildArch:      noarch
# Module Build 
BuildRequires: make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.30
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time
BuildRequires:  perl(B)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Scalar::Util)
# Test Suite 
BuildRequires:  perl(Test::More) >= 0.88
%if %{with perl_Sub_Install_enables_optional_test} && !%{defined perl_bootstrap}
#  Optional Tests
# Test::Output -> Sub::Exporter -> Sub::Install
BuildRequires:  perl(Test::Output)
%endif
# ================= Run-time ================================
Requires:       perl(B)
 
%description
This module makes it easy to install subroutines into packages without the
unsightly mess of no strict or typeglobs lying about where just anyone
can see them.

%package doc
Summary: Doc files for %{name}
Requires: %{name} = %{epoch}:%{version}-%{release}

%description doc
Doc files for %{name}

%prep
%setup -q -n Sub-Install-%{version}
 
%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}
 
%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}
 
%check
make test
 
%files
%license LICENSE
%{perl_vendorlib}/Sub/
%{_mandir}/man3/Sub::Install.3pm*

%files doc
%doc Changes README
 
%changelog
* Sat Feb 04 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1:0.929-1
- update to 0.929
- rebuild with perl_bootstrap disabled

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1:0.928-2
- rebuild with perl 5.36.0

* Thu Apr 21 2022 happy_orange <songnannan@linux.alibaba.com> - 1:0.928-1
- Init package from upstream
